2019-10-19 12:34 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003149FSSCPmodelspublic2015-05-12 22:44
ReporterNightstorm 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOS8.1OS Versionx64
Product Version3.7.1 
Target Version3.7.4Fixed in Version3.7.3 
Summary0003149: External stores vanish when a certain distance from 0,0,0 coordinates in the game space.
DescriptionSo to recap a few things that are known:

1. The wireframe view / hard point gauge was broken some time prior to r10530. I don't know when exactly.
2. Diaspora v1.1 was based on that release so its hard point gauges are broken.
3. Diaspora v1.1.1 didn't change the code base version so no change there.
4. In Nightly build r11178 there was change that affected "$Weapon Model Draw Distance:". This appears to have the affect of causing external stores to vanish once a specific distance from the 0,0,0 coordinates of the game grid are reached.
5. In Nightly build r11251 the wireframe view/ hard point gauges were fixed.

Can the code that affects the "$Weapon Model Draw Distance:" introduced in r11178 be easily corrected? I can confirm it is still present in the latest build r11278 from (Fri, 06 Mar 2015).

That's the largest bug still in Diaspora that I have encountered. It would awesome to correct that :)

Thank you!
Steps To ReproduceStart up a game in Diaspora and if you are close to the center coordinates you will see your external stores. They will then vanish when you move away from the center.
Additional InformationIn Nightly build r11178 there was change that affected "$Weapon Model Draw Distance:". This appears to have the affect of causing external stores to vanish once a specific distance from the 0,0,0 coordinates of the game grid are reached.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016699

MageKing17 (developer)

So apparently this is due to using Eye_position, which isn't modified by g3_start_instance_matrix()/g3_done_instance().

Now, whether the correct solution is to use View_position instead or to modify Eye_position at the same time as View_position, I don't know. I'm not entirely clear on what the difference between those two variables is supposed to be.

~0016704

MageKing17 (developer)

This is fixed by the new renderer.
+Notes

-Issue History
Date Modified Username Field Change
2015-03-15 21:50 Nightstorm New Issue
2015-05-08 19:55 MageKing17 Note Added: 0016699
2015-05-08 20:09 MageKing17 Status new => confirmed
2015-05-12 22:44 MageKing17 Note Added: 0016704
2015-05-12 22:44 MageKing17 Status confirmed => resolved
2015-05-12 22:44 MageKing17 Resolution open => fixed
2015-05-12 22:44 MageKing17 Fixed in Version => 3.7.3
2015-05-12 22:44 MageKing17 Target Version => 3.7.4
+Issue History